Trade Management

Manage trades for you and your team on the Notice platform.

Page properties

These properties are returned by GET /my/trades

PropertyTypeDescription
tradesarray of objectsSee the Trade type properties below
pageintegerThe page number of the results
total_pagesintegerThe total number of pages of trades available
total_countintegerThe total number of trades available
has_morebooleanWhether there are more pages after this one

Trade Properties

Below are all the properties for a trade. Not all properties are returned in the trades list. For all the properties, you need to query a specific trade.

PropertyTypeDescription
idUUIDUUID assigned by Notice
attributed_to_ownerbooleanWhether this trade should count towards broker rankings for the owner with regard to this issuer
carried_interest_fee_percentstring (nullable)Big decimal string representation of the carried interest fee percent, e.g. "1.0"
client_idstring (nullable)Your identifier to represent the client for this trade
created_attimestampThe time the trade became available on Notice
detailsstring (nullable)Open text details associated with this trade
issuerobjectAn object containing the id and name of the stock issuer (company)
is_verifiedbooleanWhether this trade has been verified yet by the Notice team
management_fee_percentstring (nullable)Big decimal string representation of the management fee percent, e.g. "1.0"
one_time_fee_percentstring (nullable)Big decimal string representation of a one time fee, e.g. "1.0"
permalink_idstringNotice assigned permalink to view on notice.co
price_per_sharestring (nullable)Big decimal string representation of the USD price per share
sign_dateISO8601 date string (nullable)The date that the buyer and seller signed a binding Transfer Agreement
stock_classstring (nullable)Class of stock provided by owner (e.g. "Common", "Preferred", "Series A", etc)
stock_class_typestringcommon or preferred
stock_typestring (nullable)primary or secondary
structurestring (nullable)

direct, spv_1_layer, spv_2_layer, or forward_contract

Legacy trades might still be assigned the deprecated spv option.

third_party_idstring (nullable)The id used to represent the same indication in your own system
updated_attimestampLast time the trade was updated
verification_officer_emailstring (nullable)Email address of the verification officer that Notice should contact to verify this trade
verification_officer_namestring (nullable)Name of the verification officer that Notice should contact to verify this trade
volumestringBig decimal string representation of the volume in USD
won_dateISO8601 date string (nullable)The date when money changed hands

Trade management permissions are required to create trades in Notice. Please reach out to [email protected] if you have questions about your permissions.